org.apache.catalina.deploy

## Class ApplicationParameter

- java.lang.Object
- - org.apache.catalina.deploy.ApplicationParameter

All Implemented Interfaces:
  Serializable

    public class ApplicationParameter
    extends Object
    implements Serializable

Representation of a context initialization parameter that is configured in the server configuration file, rather than the application deployment descriptor. This is convenient for establishing default values (which may be configured to allow application overrides or not) without having to modify the application deployment descriptor itself.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ApplicationParameter()`

### Method Summary

Methods
`String` `getDescription()`
`String` `getName()`
`boolean` `getOverride()`
`String` `getValue()`
`void` `setDescription(String description)`
`void` `setName(String name)`
`void` `setOverride(boolean override)`
`void` `setValue(String value)`
`String` `toString()` Return a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationParameter

    public ApplicationParameter()

### Method Detail

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getOverride

    public boolean getOverride()

#### setOverride

    public void setOverride(boolean override)

#### getValue

    public String getValue()

#### setValue

    public void setValue(String value)

#### toString

    public String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `Object`